
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>通向架构师的道路 第二天 apache tomcat https应用 / iVAN</title>

    <meta name="description" content="通向架构师的道路 第二天 apache tomcat https应用 一.总结前一天的学习 在前一天的学习中我们知道.了解并掌握了Web Server结合App Server是怎么样的一种架构,并且亲手通过Apache的Http Server与Tomcat6进行了整合的实验. 这样的架构的好处在于: ü   减轻App Server端的压力,用Web Server来分压,即Web Server只负责处理静态HTML内容,而App Server专职负责处理Java请求,这对系 统的performance是一个极大的提升. ü   安全,Web Server端没有任何">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">通向架构师的道路 第二天 apache tomcat https应用</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>一、总结前一天的学习</p>
<p>在前一天的学习中我们知道、了解并掌握了Web Server结合App Server是怎么样的一种架构，并且亲手通过Apache的Http Server与Tomcat6进行了整合的实验。</p>
<p><strong>这样的架构的好处在于：</strong></p>
<p>ü   减轻App Server端的压力，用Web Server来分压，即Web Server只负责处理静态HTML内容，而App Server专职负责处理Java请求，这对系 统的performance是一个极大的提升。</p>
<p>ü   安全，Web Server端没有任何Java源代码包括编译后的东西，对 Internet开放的只有Web Server，因此黑客就算通过80端口攻入了我们的Web Server，他能得到什么？除了静态HTML内容，任何 逻辑，口令他都得不到，为什么？喏。。。因为我们的App Server“躲”在Web Server的屁股后面呢。</p>
<p><strong>需要注 意的地方：</strong></p>
<p>ü   如果以这样的架构出现，你的J2EE 工程，必须在web.xml里把那些个&lt;servlet -mapping&gt;划分清楚，比如说：</p>
<p>我们可以知道*.do, *.action, *.jsp是属于JAVA需要解析的东西对吧！</p>
<p>但是 ，如果你的servlet写成这样</p>
<p>/abc</p>
<p>/123</p>
<p>/def</p>
<p>那么当我们在作映射时，需要把/abc, /123, /def分 别写成一行行的JKMount语句，是不是。。。OK，假设我们这个工程有100个servlet（这个算少的哦），你该不会在httpd.conf 文件中给我写这样的无聊的东西100行吧？</p>
<p>所以，我们在规划我们的servlet时需要有矩可循，即pattern，因此我才一直 强调，大家在servlet命名时必须统一成：</p>
<p>/servlet/myServletabc</p>
<p>这样，我在做这个Web Server到App Server的 Mapping时，是不是只要一句：JkMount /servlet/* ajp13就可以搞定啦？</p>
<p>ü   同样的架构有不同的变种：</p>
<p>2  IIS+Tomcat</p>
<p>因为微软的IIS本身就是一个Web Server，因此通过IIS和Tomcat的一个插件叫”isapi”的 也可以作到这样的架构，但是我强烈不推荐，因为JAVA源于Unix系统，归于Unix系统，Unix可是不认什么IIS的，一定请一定用 Apache，你是JAVA不是多奶（dot net）。</p>
<p>2  Apache+Weblogic</p>
<p>2  IBM HttpServer(Apache的一个变 种)+IBM WAS6.x/WAS7.X</p>
<p>2  Tomcat集群</p>
<p>Apache挂N多个tomcat，由tomcat1…tomcat2…tomcat3…等组成</p>
<p>2  Weblogic集群</p>
<p>Apache挂N多个weblogic，由weblogic1…weblogic2…weblogic3…等组成</p>
<p>2  WASND（IBMWebsphere App Server Network Deployment）</p>
<p>IBM HttpServer挂N多个WAS，由WAS1…WAS2…WAS3…等组成</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-18 04:13:24</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/apache/" title="apache">apache</a>, <a href="https://www.iamivan.net/tag/%e6%9e%b6%e6%9e%84/" title="架构">架构</a>, <a href="https://www.iamivan.net/tag/server/" title="server">server</a>, <a href="https://www.iamivan.net/tag/web/" title="web">web</a>, <a href="https://www.iamivan.net/tag/servlet/" title="servlet">servlet</a>, <a href="https://www.iamivan.net/tag/apache-tomcat-%e9%9b%86%e7%be%a4/" title="apache tomcat 集群">apache tomcat 集群</a>, <a href="https://www.iamivan.net/tag/%e6%9e%b6%e6%9e%84%e5%b8%88/" title="架构师">架构师</a>, <a href="https://www.iamivan.net/tag/tomcat%e7%9a%84https%e8%bf%9e%e6%8e%a5%e5%99%a8/" title="tomcat的https连接器">tomcat的https连接器</a>, <a href="https://www.iamivan.net/tag/java%e6%9e%b6%e6%9e%84%e5%b8%88%e4%b9%8b%e8%b7%af/" title="Java架构师之路">Java架构师之路</a>, <a href="https://www.iamivan.net/tag/was%e9%9b%86%e7%be%a4/" title="was集群">was集群</a>, <a href="https://www.iamivan.net/tag/ihs-was-https/" title="ihs was https">ihs was https</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>通向架构师的道路 第二天 apache tomcat https应用的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQP9Lwz.html" rel="bookmark">通向架构师的道路 第二十五天 SSH的单元测试与dbunit的整合（下）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				3.4使用框架 我们准备两份测试用数据 test_del_table.xml文件 &lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&gt; &lt;Tables&gt; &lt;table&gt;t_student&lt;/table&gt; &lt;/Tables&gt; test_insert_table.xml文件 &lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bo6aj3z.html" rel="bookmark">通向架构师的道路 第二十七天 IBM网格计算与企业批处理任务架构</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.批处理 我们在一些项目中如:银行.保险.零商业门店系统中的对帐.结帐.核算.日结等操作中经常会碰到一 些&quot;批处理&quot;作业. 这些批处理经常会涉及到一些大数据处理,同时处理一批增.删.改.查等SQL,往往涉及到好 几张表,这边取点数据那边写点数据,运行一些存储过程等. 批处理往往耗时.耗资源,往往还会用到多线程去设计程 序代码,有时处理不好还会碰到内存泄漏.溢出.不够.CPU占用高达99%,服务器被严重堵塞等现象. 笔者曾经经历过 一个批处理的3次优化,该批处理笔者按照数据库连接池的原			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvKvE6p.html" rel="bookmark">通向架构师的道路 第二十二天 万能框架spring&lpar;四&rpar; 使用struts2 下</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				6. myssh2工程的完整pom.xml &lt;project xmlns=&quot;http://maven.apache.org/POM/4.0.0&quot; xmlns:xsi=&quot;http://www.w3.org/2001/XMLSchema-instance&quot; xsi:schemaLocation=&quot;http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd&qu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze4Kaxp.html" rel="bookmark">通向架构师的道路 第二十六天 漫谈架构与设计文档的写作技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言: 这篇是一篇番外篇,没有太多代码与逻辑,完全是一种&quot;软&quot;技巧,但是它对于你如何成为一名合构的架构设 计人员很重要. 在此要澄清一点,架构师本身也是&quot;程序员&quot;,不是光动嘴皮子的家伙们,如果你不是一名程序虽出身 那你根本谈不上也不可能成为一名架构师. 那么架构师还有哪些是作为一名程序员来说不具备的呢? 其中有一项 能力就叫做&quot;文档写作能力&quot;. 一.Soft Skill与Hard Skill 作为一名架构师除了是一名资深的程序员外,它还 必须具有			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXB924b.html" rel="bookmark">通向架构师的道路 第五天 tomcat集群-群猫乱舞</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.为何要集群 单台App Server再强劲,也有其瓶劲,先来看一下下面这个真实的场景. 当时这个工程是这样的,tomcat 这一段被称为web zone,里面用spring+ws,还装了一个jboss的规则引擎Guvnor5.x,全部是ws没有service layer也没有dao layer. 然后App Zone这边是weblogic,传输用的是spring rmi,然后App Zone这块全部是service layer, dao layer和 数据库打交道. 用户这边用的是.net,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/rz4O7Pp.html" rel="bookmark">通向架构师的道路 第一天 Apache整合Tomcat</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.先从J2EE工程的通用架构说起 这是一个通用的Web即 B/S工程的架构,它由: ü   Web Server ü   App Server ü   DB Server 三大部分组成,其中: 2  Web Server 置于企业防火墙外,这个防火墙,大家可以认为是一 个CISCO路由器,然后在CISCO路由器上开放了两个端口为:80和443. 80端口:用于正常的http访问 443端口:用 于https访问,即如果你在ie里打入https://xxx.xxx.xx这样的地址,默认 走的是4			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgKJ0ZM.html" rel="bookmark">通向架构师的道路 第二十三天 maven与ant的奇妙整合</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.前言 我们在&lt;万能框架spring&gt;前四天中都用到了maven,接下去要讲述在SSX这样的架构下我们的&quot;单元测试&quot; 是怎么进行的,但是在此之前我们再来深入入解一下maven,因为我们的单元测试需要用到的是junit+ant+junitreport这样的组 合.而......由于我们已经使用了maven,那么我们如何可以延续经典的junit+ant这样的单元测试的组合呢?其答案就是 把maven和ant再进行组合一下. 二.用Maven任务在Ant中使用Maven依赖 M			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqLaVab.html" rel="bookmark">通向架构师的道路 第二十四天 Oracle性能调优（下）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				4.4 Oracle表空间管理 Oracle的表空间文件都放在$ORACLE_HOME/oradata如/opt/oracle/product/10/oradata这样的目录中的 Oracle的表空间支持&quot;热插拨&quot; 即在Oracle运行时发觉表空间不够时可以直接打开Oracle的管理界面来动态给它划一块硬盘空间,或者甚至你又装了一块硬 盘进服务后,Oracle可以把表空间在运行时扩展到新插入的磁盘中.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5A266p.html" rel="bookmark">通向架构师的道路 第二十四天 Oracle性能调优&lpar;上&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 这次,我们将在Linux下来动手完成Oracle数据库的安装与使用. Oracle本身是可以免费下载的包括 它 的企业版以及被它收购的Weblogic和Sun中的几乎任何东西你都可以拿来下载和使用,不像IBM和Tibco一些其它厂商,只有&quot;试 用版&quot;给你下载,Oracle的东西没有时间限制,你拿来做练习,搭实验环境都是没有任何的问题的. 但是,如果你出了 问题,需要用到Oracle的补丁或者是Oracle的技术支持,这就开始收费. Oracle就是这种&quot;卖Service			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgPwOp.html" rel="bookmark" class="title">extjs4-Extjs4 表单校验完成后invaldText仍然显示</a>
					<div>
						问题描述 Extjs4 表单校验完成后invaldText仍然显示 定义一个datefiled,手动修改时间格式,表单进行校验,弹出invalidText,然后修改表单值,表单立即进行校验,值正确后框 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1Mv7K1p.html" rel="bookmark" class="title">CSS3教程&colon;相对单位rem详解</a>
					<div>
						文章简介:CSS3新增了一个相对单位rem(root em,根em),这个单位引起了广泛关注.这个单位与em有什么区别呢?区别在于使用rem为元素设定字体大小时,仍然是相对大小,但相对的只是HTML根 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMr0k6z.html" rel="bookmark" class="title">如何更加完善网站的细节问题</a>
					<div>
						细节优化是由网站从刚刚开始做的时候就会有那么一些问题的出现,很多站长们不太会一些细节的问题;他们认为只要把排名做上了,管他细不细节.那么炜炜告诉大家:如果我们把细节优化好了,那排名的问题是不是自然就会 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZn4kz.html" rel="bookmark" class="title">如何让Web应用程序在Client端实现导出报表功能</a>
					<div>
						client|web|程序  在Web应用程序中,我们无法像在Windows应用程序那样导出报表,因为程序是在服务器端执行的,执行导出时,其结果也是在服务器端,那应该如何才能实现完整的客户端导出呢?其 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGjRoep.html" rel="bookmark" class="title">图文详解Linux文件系统的目录结构</a>
					<div>
						1. / 文件系统的入口,最高一级目录: 2. /bin 基础系统所需要的命令位于此目录,是最小系统 所需要的命令,如:ls, cp, mkdir等.这个目录中的文件都是可执行的,一般的用户都可以使用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwLWgdb.html" rel="bookmark" class="title">为什么我的电脑用IE下载东西到了百分99就不动了</a>
					<div>
						一般情况下我们下东西都是通过迅雷.QQ旋风之类的下载器来下载.用这些下载基本上不会存在下载到百分99卡住的问题,会得话也是1.2个,这是你下载资源本身的问题. 1 而使用IE浏览器到了百分99不动了的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0WOm0b.html" rel="bookmark" class="title">如何玩转苹果？iTools同步工具体验攻略</a>
					<div>
						据国外媒体报道,谷歌针对iOS设备将发布Chrome ,Chrome在Windows和Android等平台积累了良好的用户体验,势必让iOS用户又多款选择,注重用户体验的产品才能受到喜爱,而 iToo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myw9mJz.html" rel="bookmark" class="title">电脑上不停的弹出UpdateECP怎么办</a>
					<div>
						如下:1,启动任务管理器,进程,找到updateECP,点击结束进程 2.打开你安装E信文件的文件夹,找到&quot;updateECP.exe&quot;这个文件 ,然后直接删除,如果不能删除,再将 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3oQa3b.html" rel="bookmark" class="title">U盘不可读取的修复步骤</a>
					<div>
						  有些时候U盘会出现这样或那样的故障,比如出现&quot;RAW格式&quot;错误不可读取,下面就来说说这种情况的解决方法: 第一步:首先进入&quot;控制面板&quot;并切换到经典视图,找到 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrWdo4p.html" rel="bookmark" class="title">ubuntu系统双网卡设置双IP怎么能同时被外网IP都能ping通，求详细步骤</a>
					<div>
						问题描述 ubuntu系统双网卡设置双IP怎么能同时被外网IP都能ping通,求详细步骤 ubuntu系统双网卡设置双IP怎么能同时被外网IP都能ping通,求详细步骤					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRqnAqb.html" rel="bookmark" class="title">消息转发服务器如何实现？</a>
					<div>
						问题描述 消息转发服务器如何实现? 类似于QQ的服务器,QQ好友之间发送的消息如果是通过服务器转发的,服务器是如何实现的.如果两个人都连接的是一个服务器的话直接转发,但是如果两个人连接的是不同的服务器 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPP6PZp.html" rel="bookmark" class="title">【erlang】erlang几种生成随机数的方法</a>
					<div>
						erlang有三个生产随机数的办法 random:uniform(). 这个函数是erlang库random模块提供的.一般都采用这个. 1&gt; random:uniform(). 0.44358 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lYQ3b.html" rel="bookmark" class="title">程序员，你真的懂得收发电子邮件吗？</a>
					<div>
						前言 在几年以前,相信不少朋友都听说过,马云同志创办阿里巴巴的时候,还不会发邮件.也不知道在阿里巴巴上市之后,他学会收发邮件了没有!呵呵.我是曾经从内心里&quot;瞧不起&quot;过,至少认为在这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDeWxOb.html" rel="bookmark" class="title">c&plus;&plus;-请问windows和linux的关系是什么</a>
					<div>
						问题描述 请问windows和linux的关系是什么 请问windows和linux的关系是什么 请问windows和linux的关系是什么 请问windows和linux的关系是什么 解决方案 删除 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXqW4yz.html" rel="bookmark" class="title">JSP从数据库导出数据到Excel下载的实现</a>
					<div>
						JSP从数据库导出数据到Excel下载的实现 关键代码: &lt;%@ page contentType=&quot;application/msexcel&quot; %&gt; &lt;%     ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQByBOM.html" rel="bookmark" class="title">加载sso时出现下列错误，如何解决？</a>
					<div>
						问题描述 2008-08-1516:23:42.35[070365:00344:00068-00000097]SSOAPI&gt;***RetrievingExtraTokenInfo(SECToke ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRN3LxM.html" rel="bookmark" class="title">急求高手！DataGrid排序后与绑定的DataSet同步问题</a>
					<div>
						问题描述 一个DataGrid排序后,显示的行与DataSet不对应了,怎么解决?我怎样在DataSet中定位DataGrid中显示的某一行? 解决方案 解决方案二:找出datagrid绑定的data ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjD1WM.html" rel="bookmark" class="title">过来人公开课：做中国的Coursera</a>
					<div>
						无论何时何地,只要有网络.只要你愿意,就可以免费学习中外一流大学的课程,并且还有机会获得推荐信和学分,这就是过来人公开课试图打造的情景.过来人公开课网站截图(TechWeb配图)过来人公开课是过来人国 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8YLglz.html" rel="bookmark" class="title">在使用webview时不借助系统浏览器的代码弄不明白</a>
					<div>
						问题描述 在使用webview时不借助系统浏览器的代码弄不明白 webview.setWebViewClient(new WebViewClient() { @Override public bool ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwJa9Rp.html" rel="bookmark" class="title">Knot Vectors</a>
					<div>
						在前面的章节中,我提到过节点矢量有两种类型:open和periodic.还分为均匀的和非均匀的.我将对此进和详细讲解,并推出它们所表示的基函数.我只给出k次基函数,当然你也可以根据需要推导出低次基函数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPk0E1M.html" rel="bookmark" class="title">jquery animate step实现css3属性动画</a>
					<div>
						jquery animation的工作原理是通过将元素的css样式从一个状态改变为另一个状态.css属性值是逐渐改变的,这样就可以创建动画效果. 但是animate方法下,只有数字值可创建动画(比如  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLgkO5M.html" rel="bookmark" class="title">随着中国网页游戏行业近年来的&OpenCurlyDoubleQuote;井喷式&rdquo;发展，诸多新兴页游产品乃至运营平台的数量也在成倍递增</a>
					<div>
						据不完全统计,在众多页游产品及运营平台中,成活几率在一年以上的不足10%,能够留下来的基本都代表着网页游戏行业未来发展的新趋势.作为趣游厦门在2011年推出的旗下第五大品牌,7711网页游戏平台即 随 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKqQyWp.html" rel="bookmark" class="title">spring mvc4：异常处理</a>
					<div>
						前面学习过struts2的异常处理,今天来看下spring mvc4的异常处理: 一.Servlet配置文件修改 1 &lt;bean id=&quot;exceptionResolver&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1Y5Wb.html" rel="bookmark" class="title">java网上商城开发之邮件发送功能（全）&lowbar;java</a>
					<div>
						最近在学习网上商城时,接触到了一个邮件发送的功能.之前一直在使用邮箱进行发送邮件,但是其中的具体如何运转的却不知道是怎么回事.那么邮件发送究竟是怎么一回事呢? 邮件发送过程: 过程描述:首先是发送人将 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr2o8VM.html" rel="bookmark" class="title">懒惰是金 介绍几个php通用的函数第1&sol;2页&lowbar;php技巧</a>
					<div>
						 但是,要成为一名PHP编程高手却并不容易.并不像很多人想象的那样,只要能够飞快地编写几条简单的代码去解决一个复杂的问题就是PHP编程高手了,真正的PHP高手还需要考虑更多的其它问题.以下三条准则是一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEYEBz.html" rel="bookmark" class="title">百度对新站的考核期已经越来越长了</a>
					<div>
						相信和我有相同经历的站长不在少数吧?我已不断的添加原创文章,优化代码,也因为空间不稳定而换过空间. 并且我还每天坚持写原创文章顺便发到站长站和站长网引链接.做到现在我的外链已经有1000多了,排名也从 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYNnq9p.html" rel="bookmark" class="title">一步一步写算法（之哈夫曼树 上）</a>
					<div>
						原文:一步一步写算法(之哈夫曼树 上) [ 声明:版权所有,欢迎转载,请勿用于商业用途.  联系信箱:feixiaoxing @163.com]       在数据传输的过程当中,我们总是希望用尽可能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRd148z.html" rel="bookmark" class="title">美唱片业起诉共享软件LimeWire 获赔1&period;05亿美元</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 北京时间5月13日消息,据国外媒体 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8GRW4M.html" rel="bookmark" class="title">Spring Boot（三）Application events and listeners</a>
					<div>
						一.自定义监听器: 1.创建: META-INF/spring.factories 2.添加: org.springframework.context.ApplicationListener=com. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn4992b.html" rel="bookmark" class="title">请教一个批处理问题 for中的延迟变量</a>
					<div>
						问题描述 请教一个批处理问题 for中的延迟变量 bat文件用了延迟变量了 , 这里的第二个for 里面应该怎么引用这个变量? 从echo那里用!号打印出来没问题 但是用下面for里面不行? 用%也不 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
